summaryrefslogtreecommitdiffstats
path: root/abs/extra/community/network-ups-tools/finish.upsd
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-08-30 22:26:00 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-08-30 22:26:00 (GMT)
commit1f175a7b07b9553ce98d0546ac04dbb925ec0bc9 (patch)
treec969070115611a8a75f23d468aa5e0cf86a08121 /abs/extra/community/network-ups-tools/finish.upsd
parentc4bd4457b5d640e1c8f5afbca7cd54c53691e5fc (diff)
downloadlinhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.zip
linhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.tar.gz
linhes_pkgbuild-1f175a7b07b9553ce98d0546ac04dbb925ec0bc9.tar.bz2
RESYNC EXTRA:
synced extra-testing -> extra repo Signed-off-by: James Meyer <james.meyer@operamail.com>
Diffstat (limited to 'abs/extra/community/network-ups-tools/finish.upsd')
-rw-r--r--abs/extra/community/network-ups-tools/finish.upsd16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/extra/community/network-ups-tools/finish.upsd b/abs/extra/community/network-ups-tools/finish.upsd
new file mode 100644
index 0000000..8eb335b
--- /dev/null
+++ b/abs/extra/community/network-ups-tools/finish.upsd
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/upsd`
+ stat_runit "Stopping UPSd Daemon"
+ /usr/bin/upsdrvctl stop &> /dev/null
+ /usr/sbin/upsmon -c stop &> /dev/null
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon upsd
+ stat_done
+ fi